
/* Unix implementation of TIMER_T using struct timeval */

void timer_now( TIMER_T *dest )
{
    int ret = gettimeofday( dest, 0 );
    if ( ret == -1 ) memset( dest, 0, sizeof( *dest ) );
}


void timer_sub( TIMER_T *dest, TIMER_T *left, TIMER_T *right )
{
	dest->tv_sec = left->tv_sec - right->tv_sec;
	dest->tv_usec = left->tv_usec - right->tv_usec;
	if (dest->tv_usec < 0 ) 
	{
		dest->tv_sec--;
		dest->tv_usec += 1000000;
	}
}

