
#include <evblib/unicode/utf8.h>
#include <evblib/strio/strio.h>
#include <evblib/misc/misc.h>


uint32_t in[] = {
	0x7f, 0xa0, 0xff, 0x800, 0x7fffffff
};

char u8[4096];

uint32_t out[256];

int main()
{
	int n, u8l;

	fdputcs(1, "in:\n");
	hexdumpfd(1, in, sizeof(in), 0);

	u8l = utf8from32ho(u8, sizeof(u8), in, DIM(in), 0);
	fdputcs(1, "utf8:\n");
	hexdumpfd(1, u8, u8l, 0);

	n = utf8to32ho(u8, u8l, out, DIM(out), 0);
	fdputcs(1, "out (utf8to32ho):\n");
	hexdumpfd(1, out, n * sizeof(out[0]), 0);

	n = uvlto32ho(u8, u8l, out, DIM(out), 0);
	fdputcs(1, "out (uvlto32ho):\n");
	hexdumpfd(1, out, n * sizeof(out[0]), 0);

	return 0;
}

