#include <evblib/sysdefs/systypes.h>

#include <stdio.h>
#include <math.h>


/* Outputs number of digits needed to represent a UINTMAX_MAX in base
 * 2 through 256, assuming the C char is 1 octet. */

int main()
{
	int base;

	printf("int baselen[254] = {\n");
	for(base = 2; base < 255; base++) {
		printf("%2.0f, ", ceil(log(UINTMAX_MAX)/log(base)));
	}
	printf(" %d };\n", sizeof(UINTMAX_MAX));

	return 0;
}
